gjs 1.50.0 release, together with its new mozjs52 dependency. Also included is gnome-weather 3.26.0 update that is tightly coupled with latest gjs features.

Notably, this update should help improve gnome-shell stability in F27, fixing a common crash that a number of people have been running into.

How to install

sudo dnf upgrade --advisory=FEDORA-2017-275b1e9bf2

This update has been submitted for testing by kalev.

4 years ago
User Icon frantisekz commented & provided feedback 4 years ago
karma

Updated all the packages, GNOME didn't crash yet, Weather is working fine.

BZ#1490432 gnome-weather-3.25.9x needs gjs >= 1.49.4
BZ#1490351 gnome-shell crashes 10+ times a day due to gjs bug, we need to either upgrade to 1.49.92 or downgrade to 1.48.7
BZ#1456293 [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11
User Icon lnie commented & provided feedback 4 years ago
karma

works

BZ#1456293 [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11

kalev edited this update.

4 years ago

This update has been pushed to testing.

4 years ago
User Icon piotrdrag commented & provided feedback 4 years ago
karma

gnome-shell, gnome-weather, gnome-characters, gnome-maps, sushi and polari work fine.

BZ#1490432 gnome-weather-3.25.9x needs gjs >= 1.49.4

This update has reached the stable karma threshold and can be pushed to stable now if the maintainer wishes.

4 years ago

This update has been submitted for stable by kalev.

4 years ago

This update has been pushed to stable.

4 years ago

Please login to add feedback.

Metadata
Type
bugfix
Karma
3
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
disabled
Stable by Time
disabled
Dates
submitted
4 years ago
in testing
4 years ago
in stable
4 years ago
modified
4 years ago
BZ#1456293 [abrt] gnome-shell: js::GCMethods<JSObject*>::needsPostBarrier(): gnome-shell killed by signal 11
0
2
BZ#1490351 gnome-shell crashes 10+ times a day due to gjs bug, we need to either upgrade to 1.49.92 or downgrade to 1.48.7
0
1
BZ#1490432 gnome-weather-3.25.9x needs gjs >= 1.49.4
0
2

Automated Test Results

Test Cases

0 0 Test Case weather